petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCPARMSSetNonsymPerm

Sets the type of permutation for the ARMS preconditioner: the standard symmetric ARMS or the non-symmetric ARMS (ARMS-ddPQ).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetNonsymPerm(PC pc,PetscBool nonsym)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| nonsym | - PETSC_TRUE indicates the non-symmetric ARMS is used; PETSC_FALSE indicates the symmetric ARMS is used

### Options Database Keys

-pc_parms_nonsymmetric_perm -sets the use of nonsymmetric permutation

### Notes

See the pARMS function parms_PCSetPermType for more information.

### See Also

PCPARMS

Level:intermediate
Location:src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages